## org.apache.lucene.analysis.miscellaneous
Class TrimFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.miscellaneous.TrimFilterFactory

    public class TrimFilterFactory

extends TokenFilterFactory

Factory for `TrimFilter`.

     <fieldType name="text_trm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.NGramTokenizerFactory"/>
         <filter class="solr.TrimFilterFactory" />
       </analyzer>
     </fieldType>

See Also:
  `TrimFilter`

Field Summary
`protected boolean` `updateOffsets`

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`TrimFilterFactory(Map<String,String> args)` Creates a new TrimFilterFactory

Method Summary
`TrimFilter` `create(TokenStream input)` Transform the specified input TokenStream

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### updateOffsets

    protected final boolean updateOffsets

Constructor Detail

### TrimFilterFactory

    public TrimFilterFactory(Map<String,String> args)

  Creates a new TrimFilterFactory

Method Detail

### create

    public TrimFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.